microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parametry cesty
name
string
vyžadováno
The name of the memory store.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Text požadavku
Content-Type: application/json
scope
string
vyžadováno
The namespace that logically groups and isolates memories to delete, such as a user ID.
Odpovědi
The request has succeeded.
Text
Content-Type: application/json
object
enum
vyžadováno
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
vyžadováno
The name of the memory store.
scope
string
vyžadováno
The scope from which memories were deleted.
deleted
boolean
vyžadováno
Whether the deletion operation was successful.
Žádost
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json